Package com.dropbox.core.v2.sharing
Class AddFolderMemberBuilder
java.lang.Object
com.dropbox.core.v2.sharing.AddFolderMemberBuilder
The request builder returned by
DbxUserSharingRequests.addFolderMemberBuilder(java.lang.String, java.util.List<com.dropbox.core.v2.sharing.AddMember>).
Use this class to set optional request parameters and complete the request.
-
Method Summary
Modifier and TypeMethodDescriptionvoidstart()Issues the request.withCustomMessage(String customMessage) Set value for optional field.withFpSealedResult(String fpSealedResult) Set value for optional field.Set value for optional field.
-
Method Details
-
withQuiet
Set value for optional field.If left unset or set to
null, defaults tofalse.- Parameters:
quiet- Whether added members should be notified via email and device notifications of their invite. Defaults tofalsewhen set tonull.- Returns:
- this builder
-
withCustomMessage
Set value for optional field.- Parameters:
customMessage- Optional message to display to added members in their invitation. Must have length of at least 1.- Returns:
- this builder
- Throws:
IllegalArgumentException- If any argument does not meet its preconditions.
-
withFpSealedResult
Set value for optional field.- Parameters:
fpSealedResult- The FingerprintJS Sealed Client Result value.- Returns:
- this builder
-
start
Issues the request.
-